import { KeyBinding } from '@codemirror/view';
import { Language, LanguageDescription, LanguageSupport } from '@codemirror/language';
import { StateCommand } from '@codemirror/state';

declare const markdownLanguage: Language;

declare const insertNewlineContinueMarkup: StateCommand;
declare const deleteMarkupBackward: StateCommand;

declare const markdownKeymap: readonly KeyBinding[];
declare function markdown(config?: {
    defaultCodeLanguage?: Language;
    codeLanguages?: readonly LanguageDescription[];
    addKeymap?: boolean;
}): LanguageSupport;

export { deleteMarkupBackward, insertNewlineContinueMarkup, markdown, markdownKeymap, markdownLanguage };
